<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:11 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>BuildResult (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="BuildResult (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../org/gradle/testkit/runner/BuildTask.html" title="interface in org.gradle.testkit.runner"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/testkit/runner/BuildResult.html" target="_top">Frames</a></li>
<li><a href="BuildResult.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.testkit.runner</div>
<h2 title="Interface BuildResult" class="title">Interface BuildResult</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">BuildResult</span></pre>
<div class="block">The result of executing a build, via the <a href="../../../../org/gradle/testkit/runner/GradleRunner.html" title="class in org.gradle.testkit.runner"><code>GradleRunner</code></a>.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.6</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../org/gradle/testkit/runner/GradleRunner.html#build()"><code>GradleRunner.build()</code></a>, 
<a href="../../../../org/gradle/testkit/runner/GradleRunner.html#buildAndFail()"><code>GradleRunner.buildAndFail()</code></a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/testkit/runner/BuildResult.html#getOutput()">getOutput</a></strong>()</code>
<div class="block">The textual output produced during the build.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../org/gradle/testkit/runner/BuildTask.html" title="interface in org.gradle.testkit.runner">BuildTask</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/testkit/runner/BuildResult.html#getTasks()">getTasks</a></strong>()</code>
<div class="block">The tasks that were part of the build.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/testkit/runner/BuildTask.html" title="interface in org.gradle.testkit.runner">BuildTask</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/testkit/runner/BuildResult.html#task(java.lang.String)">task</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;taskPath)</code>
<div class="block">Returns the result object for a particular task, or <code>null</code> if the given task was not part of the build.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/testkit/runner/BuildResult.html#taskPaths(org.gradle.testkit.runner.TaskOutcome)">taskPaths</a></strong>(<a href="../../../../org/gradle/testkit/runner/TaskOutcome.html" title="enum in org.gradle.testkit.runner">TaskOutcome</a>&nbsp;outcome)</code>
<div class="block">The paths of the subset of <a href="../../../../org/gradle/testkit/runner/BuildResult.html#getTasks()"><code>getTasks()</code></a> that had the given outcome.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../org/gradle/testkit/runner/BuildTask.html" title="interface in org.gradle.testkit.runner">BuildTask</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/testkit/runner/BuildResult.html#tasks(org.gradle.testkit.runner.TaskOutcome)">tasks</a></strong>(<a href="../../../../org/gradle/testkit/runner/TaskOutcome.html" title="enum in org.gradle.testkit.runner">TaskOutcome</a>&nbsp;outcome)</code>
<div class="block">The subset of <a href="../../../../org/gradle/testkit/runner/BuildResult.html#getTasks()"><code>getTasks()</code></a> that had the given outcome.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getOutput()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutput</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getOutput()</pre>
<div class="block">The textual output produced during the build.
 <p>
 This is equivalent to the console output produced when running a build from the command line.
 It contains both the standard output, and standard error output, of the build.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the build output, or an empty string if there was no build output (e.g. ran with <code>-q</code>)</dd><dt><span class="strong">Since:</span></dt>
  <dd>2.9</dd></dl>
</li>
</ul>
<a name="getTasks()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTasks</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../org/gradle/testkit/runner/BuildTask.html" title="interface in org.gradle.testkit.runner">BuildTask</a>&gt;&nbsp;getTasks()</pre>
<div class="block">The tasks that were part of the build.
 <p>
 The order of the tasks corresponds to the order in which the tasks were started.
 If executing a parallel enabled build, the order is not guaranteed to be deterministic.
 <p>
 The returned list is an unmodifiable view of items.
 The returned list will be empty if no tasks were executed.
 This can occur if the build fails early, due to a build script failing to compile for example.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the build tasks</dd></dl>
</li>
</ul>
<a name="tasks(org.gradle.testkit.runner.TaskOutcome)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tasks</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../org/gradle/testkit/runner/BuildTask.html" title="interface in org.gradle.testkit.runner">BuildTask</a>&gt;&nbsp;tasks(<a href="../../../../org/gradle/testkit/runner/TaskOutcome.html" title="enum in org.gradle.testkit.runner">TaskOutcome</a>&nbsp;outcome)</pre>
<div class="block">The subset of <a href="../../../../org/gradle/testkit/runner/BuildResult.html#getTasks()"><code>getTasks()</code></a> that had the given outcome.
 <p>
 The returned list is an unmodifiable view of items.
 The returned list will be empty if no tasks were executed with the given outcome.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>outcome</code> - the desired outcome</dd>
<dt><span class="strong">Returns:</span></dt><dd>the build tasks with the given outcome</dd></dl>
</li>
</ul>
<a name="taskPaths(org.gradle.testkit.runner.TaskOutcome)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>taskPaths</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;taskPaths(<a href="../../../../org/gradle/testkit/runner/TaskOutcome.html" title="enum in org.gradle.testkit.runner">TaskOutcome</a>&nbsp;outcome)</pre>
<div class="block">The paths of the subset of <a href="../../../../org/gradle/testkit/runner/BuildResult.html#getTasks()"><code>getTasks()</code></a> that had the given outcome.
 <p>
 The returned list is an unmodifiable view of items.
 The returned list will be empty if no tasks were executed with the given outcome.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>outcome</code> - the desired outcome</dd>
<dt><span class="strong">Returns:</span></dt><dd>the paths of the build tasks with the given outcome</dd></dl>
</li>
</ul>
<a name="task(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>task</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
<a href="../../../../org/gradle/testkit/runner/BuildTask.html" title="interface in org.gradle.testkit.runner">BuildTask</a>&nbsp;task(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;taskPath)</pre>
<div class="block">Returns the result object for a particular task, or <code>null</code> if the given task was not part of the build.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>taskPath</code> - the path of the target task</dd>
<dt><span class="strong">Returns:</span></dt><dd>information about the executed task, or <code>null</code> if the task was not executed</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../org/gradle/testkit/runner/BuildTask.html" title="interface in org.gradle.testkit.runner"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/testkit/runner/BuildResult.html" target="_top">Frames</a></li>
<li><a href="BuildResult.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
